## org.apache.aries.subsystem.core.archive
Class ImportPackageHeader

    java.lang.Object
      org.apache.aries.subsystem.core.archive.ImportPackageHeader

All Implemented Interfaces:
  Header<ImportPackageHeader.Clause>, RequirementHeader<ImportPackageHeader.Clause>

    public class ImportPackageHeader

extends Object
implements RequirementHeader<ImportPackageHeader.Clause>

Nested Class Summary
`static class` `ImportPackageHeader.Clause`

Field Summary
`static String` `ATTRIBUTE_BUNDLE_SYMBOLICNAME`
`static String` `ATTRIBUTE_BUNDLE_VERSION`
`static String` `ATTRIBUTE_VERSION`
`static String` `DIRECTIVE_RESOLUTION`
`static String` `NAME`
`static String` `RESOLUTION_MANDATORY`
`static String` `RESOLUTION_OPTIONAL`

Constructor Summary
`ImportPackageHeader(Collection<ImportPackageHeader.Clause> clauses)`
`ImportPackageHeader(String header)`

Method Summary
`Collection<ImportPackageHeader.Clause>` `getClauses()`
`String` `getName()`
`String` `getValue()`
`List<ImportPackageRequirement>` `toRequirements(org.osgi.resource.Resource resource)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTRIBUTE_BUNDLE_SYMBOLICNAME

    public static final String ATTRIBUTE_BUNDLE_SYMBOLICNAME

See Also:
  Constant Field Values

### ATTRIBUTE_BUNDLE_VERSION

    public static final String ATTRIBUTE_BUNDLE_VERSION

See Also:
  Constant Field Values

### ATTRIBUTE_VERSION

    public static final String ATTRIBUTE_VERSION

See Also:
  Constant Field Values

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### DIRECTIVE_RESOLUTION

    public static final String DIRECTIVE_RESOLUTION

See Also:
  Constant Field Values

### RESOLUTION_MANDATORY

    public static final String RESOLUTION_MANDATORY

See Also:
  Constant Field Values

### RESOLUTION_OPTIONAL

    public static final String RESOLUTION_OPTIONAL

See Also:
  Constant Field Values

Constructor Detail

### ImportPackageHeader

    public ImportPackageHeader(Collection<ImportPackageHeader.Clause> clauses)

### ImportPackageHeader

    public ImportPackageHeader(String header)

Method Detail

### getClauses

    public Collection<ImportPackageHeader.Clause> getClauses()

  Specified by:
    `getClauses` in interface `Header<ImportPackageHeader.Clause>`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Header<ImportPackageHeader.Clause>`

### getValue

    public String getValue()

  Specified by:
    `getValue` in interface `Header<ImportPackageHeader.Clause>`

### toRequirements

    public List<ImportPackageRequirement> toRequirements(org.osgi.resource.Resource resource)

  Specified by:
    `toRequirements` in interface `RequirementHeader<ImportPackageHeader.Clause>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.